%define version  0.9.1
%define release  %mkrel 4
%define src_name honoka

%define scim_version   1.4.3

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0
%define develname %mklibname -d %{name}

Name:       scim-honoka
Summary:    SCIM IMEngine module for Japanese
Version:    %{version}
Release:    %{release}
Group:      System/Internationalization
License:    GPL
URL:        http://nop.net-p.org/modules/pukiwiki/index.php?%5B%5Bhonoka%5D%5D
Source0:    http://nop.net-p.org/files/honoka/%{src_name}-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root
Provides:      honoka, libhonoka
Obsoletes:     honoka, libhonoka
Requires:      %{libname} = %{version}-%{release}
Requires:      scim >= %{scim_version}
BuildRequires: scim-devel >= 1.4.7-4mdk
BuildRequires: automake
BuildRequires: libltdl-devel

%description
Honoka is an SCIM IMEngine module for Japanese.


%package -n %{libname}
Summary:    Scim-honoka library
Group:      System/Internationalization

%description -n %{libname}
scim-honoka library.

%package -n %{develname}
Summary:    Headers of scim-honoka for development
Group:      Development/C
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}
Provides:   %{libname_orig}-devel = %{version}-%{release}
Obsoletes:  %libname-devel

%description -n %{develname}
Headers of %{name} for development.


%prep
%setup -q -n %{src_name}-%{version}

%build
[[ -f configure ]] || ./bootstrap

%configure2_5x
# (tv) parallel build is broken:
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang honoka

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files -f honoka.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_datadir}/scim/icons/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.*
%{scim_plugins_dir}/IMEngine/*.so
%{scim_plugins_dir}/SetupUI/*.so

%files -n %{develname}
%defattr(-,root,root)
%doc COPYING
%{_includedir}/honoka/*.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/honoka.pc
%{scim_plugins_dir}/*/*.a
%{scim_plugins_dir}/*/*.la


%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.1-4mdv2008.1
+ Revision: 171095
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Funda Wang <fundawang@mandriva.org>
    - fix source url

* Sun Aug 12 2007 Funda Wang <fundawang@mandriva.org> 0.9.1-3mdv2008.0
+ Revision: 62104
- fix file list
- Rebuild


* Wed Sep 06 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-06 11:27:52 (60231)
- Remove duplicate file

* Thu Aug 03 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-03 15:08:27 (43261)
- import scim-honoka-0.9.1-1mdv2007.0

* Sat Jul 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.1-1mdv2007.0
- new release
- change URL

* Mon Jun 19 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.9.0-1mdv2007.0
- new release
- change summary/description

* Sun May 14 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.8.3-1mdk
- new release

* Tue May 09 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.8.2-2.svn508.1mdk
- latest snapshot

* Sun Feb 19 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.8.2-1mdk
- new release

* Sun Jan 29 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.8.1-1mdk
- new release

* Wed Jan 25 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.8.0-5.svn448.1mdk
- latest snapshot

* Sat Jan 14 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.8.0-1mdk
- new release

* Thu Jan 12 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.1-2.svn433.1mdk
- latest snapshot
- update patch0
- add a devel package for skim-scim-honoka

* Thu Dec 01 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.4.1-1mdk
- new release

* Tue Nov 15 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.0-1mdk
- new release
- add canna/prime support

* Wed Nov 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.3.3-2mdk
- fix description

* Wed Oct 26 2005 Nicolas L?ureuil <neoclust@mandriva.org> 0.3.3-1mdk
- From UTUMI Hirosi : 
	- new release
	- change the package name to check scim packages easily
	- (honoka -> scim-honoka)
	- update patch0

* Mon May 09 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.0-0.svn218.1mdk
- latest snapshot
- add patch0 (change default romaji tables)
- remove "--disable-wnn" by author's request
  (Wnn will be detected automatically)

* Wed Apr 27 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.0-0.svn213.1mdk
- fix build (parallel build is broken)
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o latest snapshot
  o add patch0 (change default romaji tables)

* Fri Apr 15 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.0-0.svn198.1mdk
- first spec for Mandriva Linux

